Bug 145711 - gFTP should not disconnect on 4xx return code from server
gFTP should not disconnect on 4xx return code from server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gftp (Show other bugs)
8
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
:
: 145699 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-20 14:49 EST by Don Russell
Modified: 2009-01-09 01:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:51:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 521509 None None None Never

  None (edit)
Description Don Russell 2005-01-20 14:49:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Not every ftp server has a default working directory upon logon.

When gFTP connects and logs on it issues a PWD command.
When there is no default working directory, gFTP sees return code 450
and promptly disconnects, saying it will try again 30 seconds.

This is wrong. gFTP should remain connected, and allow the user to use
the drop down menus to manually change directory.

Version-Release number of selected component (if applicable):
2.0.17

How reproducible:
Always

Steps to Reproduce:
1. ftp to: sruvm.sru.edu
2. anonymous
3.
    

Actual Results:  Looking up sruvm.sru.edu
Trying sruvm.sru.edu:21
Connected to sruvm.sru.edu:21
220-FTPSERVE IBM VM V2R4 at SRUVM.SRU.EDU, 12:59:21 EST THURSDAY 01/20/05
220 Connection will close if idle for more than 5 minutes.
USER anonymous

230-ANONYMOU logged in; no working directory defined
230 File pool SERVER5 unavailable or unknown;
SYST

215-VM/ESA Version 2 Release 3.0, service level 9902
    VM/CMS Level 14, Service Level 902
215 VM is the operating system of this server.
TYPE I

200 Representation type is IMAGE.
PWD

450 No current working directory defined
Invalid response '4' received from server.
Disconnecting from site sruvm.sru.edu
Waiting 30 seconds until trying to connect again

Expected Results:  gFTP should have left well enough alone and stayed
connected after getting the 450 from the PWD command.

Additional info:

I'm setting this as "high severity", not because it crashes etc, but
because it diminshes the usefulness of the program... there's no way
to effectively use the ftp server if the server doesn't have a default
working directory.

4xx erros from FTP means the condition is temporary and may be tried
again..... so gFTP must not disconnect from the server in those cases.
Comment 1 Don Russell 2005-01-20 15:34:37 EST
I'm not sure how this happened... but this is an exact copy of bug
145699. Since this one is assigned now, and the other is not, 145699
should be deleted, or at the very least marked as a duplicate of this one.

Sorry for the confusion... like I said.. I don't know how that
happened. :-(

Don Russell
Comment 2 Don Russell 2005-01-20 19:00:53 EST
*** Bug 145699 has been marked as a duplicate of this bug. ***
Comment 3 Don Russell 2005-04-26 11:55:09 EDT
Problem also exists in gftp-2.0.18-0.FC3
Comment 4 Matthew Miller 2006-07-10 18:37:20 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Don Russell 2006-07-11 19:57:08 EDT
Change from FC3 to FC5, affected software versino is gftp-2.0.18 (same version
as 2005-04-26 above in comment #3)

Thanks
Comment 6 Matthew Miller 2006-07-11 21:58:12 EDT
Thank you.
Comment 7 petrosyan 2008-03-10 02:05:09 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 8?
Comment 8 Don Russell 2008-03-10 18:40:44 EDT
Yes, the problem still exists in Fedora 8... I changed the version FC version to 8.

gftp-2.0.18-7.fc8

Thanks
Comment 9 Bug Zapper 2008-11-26 01:48:50 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Don Russell 2008-11-26 02:16:38 EST
Go ahead and flag this as WONTFIX. I've been tracking this since FC3, FC10 is out today... and I don't use gFTP any more, haven't for a long time.
Comment 11 Bug Zapper 2009-01-09 01:51:53 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.